'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var SdkError = require('./errors/SdkError.cjs');

class NullDownloader {
  download() {
    throw new SdkError.InterfaceImplementationMissingError('DownloaderInterface', 'downloader');
  }
}

exports.NullDownloader = NullDownloader;
//# sourceMappingURL=DownloaderInterface.cjs.map
