'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var SdkError = require('./errors/SdkError.cjs');

exports.HttpMethod = void 0;
(function (HttpMethod) {
  HttpMethod["GET"] = "GET";
  HttpMethod["POST"] = "POST";
  HttpMethod["PUT"] = "PUT";
  HttpMethod["HEAD"] = "HEAD";
  HttpMethod["DELETE"] = "DELETE";
  HttpMethod["PATCH"] = "PATCH";
  HttpMethod["OPTIONS"] = "OPTIONS";
  HttpMethod["CONNECT"] = "CONNECT";
  HttpMethod["TRACE"] = "TRACE";
})(exports.HttpMethod || (exports.HttpMethod = {}));
class NullHttp {
  send() {
    throw new SdkError.InterfaceImplementationMissingError('HttpInterface', 'http');
  }
}

exports.NullHttp = NullHttp;
//# sourceMappingURL=HttpInterface.cjs.map
