'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var Context = require('./Context.cjs');
var TransactionBuilder = require('./TransactionBuilder.cjs');

const createMetaplex = () => ({
  ...Context.createNullContext(),
  use(plugin) {
    plugin.install(this);
    return this;
  },
  transactionBuilder() {
    return TransactionBuilder.TransactionBuilder.make(this);
  }
});

exports.createMetaplex = createMetaplex;
//# sourceMappingURL=Metaplex.cjs.map
