'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var _rollupPluginBabelHelpers = require('./_virtual/_rollupPluginBabelHelpers.cjs');
var SdkError = require('./errors/SdkError.cjs');

class NullTransactionFactory {
  constructor() {
    _rollupPluginBabelHelpers.defineProperty(this, "error", new SdkError.InterfaceImplementationMissingError('TransactionFactoryInterface', 'transactions'));
  }
  create() {
    throw this.error;
  }
  serialize() {
    throw this.error;
  }
  deserialize() {
    throw this.error;
  }
}

exports.NullTransactionFactory = NullTransactionFactory;
//# sourceMappingURL=TransactionFactoryInterface.cjs.map
