'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var SdkError = require('./errors/SdkError.cjs');

class NullUploader {
  upload() {
    throw new SdkError.InterfaceImplementationMissingError('UploaderInterface', 'uploader');
  }
}

exports.NullUploader = NullUploader;
//# sourceMappingURL=UploaderInterface.cjs.map
