import { createNullContext } from './Context.mjs';
import { TransactionBuilder } from './TransactionBuilder.mjs';

const createMetaplex = () => ({
  ...createNullContext(),
  use(plugin) {
    plugin.install(this);
    return this;
  },
  transactionBuilder() {
    return TransactionBuilder.make(this);
  }
});

export { createMetaplex };
//# sourceMappingURL=Metaplex.mjs.map
