'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

var SdkError = require('./errors/SdkError.cjs');

class NullEddsa {
  generateKeypair() {
    throw new SdkError.InterfaceImplementationMissingError('EddsaInterface', 'eddsa');
  }
  createKeypairFromSecretKey() {
    throw new SdkError.InterfaceImplementationMissingError('EddsaInterface', 'eddsa');
  }
  createKeypairFromSeed() {
    throw new SdkError.InterfaceImplementationMissingError('EddsaInterface', 'eddsa');
  }
  createPublicKey() {
    throw new SdkError.InterfaceImplementationMissingError('EddsaInterface', 'eddsa');
  }
  createDefaultPublicKey() {
    throw new SdkError.InterfaceImplementationMissingError('EddsaInterface', 'eddsa');
  }
  isOnCurve() {
    throw new SdkError.InterfaceImplementationMissingError('EddsaInterface', 'eddsa');
  }
  findPda() {
    throw new SdkError.InterfaceImplementationMissingError('EddsaInterface', 'eddsa');
  }
  sign() {
    throw new SdkError.InterfaceImplementationMissingError('EddsaInterface', 'eddsa');
  }
  verify() {
    throw new SdkError.InterfaceImplementationMissingError('EddsaInterface', 'eddsa');
  }
}

exports.NullEddsa = NullEddsa;
//# sourceMappingURL=EddsaInterface.cjs.map
