import type { SerializedTransaction, Transaction, TransactionInput } from './Transaction';
export interface TransactionFactoryInterface {
    create(input: TransactionInput): Transaction;
    serialize(transaction: Transaction): SerializedTransaction;
    deserialize(serializedTransaction: SerializedTransaction): Transaction;
}
export declare class NullTransactionFactory implements TransactionFactoryInterface {
    private readonly error;
    create(): Transaction;
    serialize(): SerializedTransaction;
    deserialize(): Transaction;
}
